FROM debian:sid-slim
RUN mkdir /usr/share/man/man1 /usr/share/man/man5 /usr/share/man/man7 /usr/share/man/man8
RUN apt update && apt -y upgrade && apt -y install \
openssl \
kamailio \
kamailio-autheph-modules \
kamailio-berkeley-bin \
kamailio-berkeley-modules \
kamailio-cnxcc-modules \
kamailio-cpl-modules \
kamailio-erlang-modules \
kamailio-extra-modules \
kamailio-geoip-modules \
kamailio-geoip2-modules \
kamailio-ims-modules \
kamailio-json-modules \
kamailio-kazoo-modules \
kamailio-ldap-modules \
kamailio-lua-modules \
kamailio-memcached-modules \
kamailio-mongodb-modules \
kamailio-mono-modules \
kamailio-mysql-modules \
kamailio-outbound-modules \
kamailio-perl-modules \
kamailio-phonenum-modules \
kamailio-postgres-modules \
kamailio-presence-modules \
#kamailio-python-modules \
kamailio-python3-modules \
kamailio-rabbitmq-modules \
kamailio-radius-modules \
kamailio-redis-modules \
kamailio-ruby-modules \
kamailio-sctp-modules \
kamailio-snmpstats-modules \
kamailio-sqlite-modules \
kamailio-systemd-modules \
kamailio-tls-modules \
kamailio-unixodbc-modules \
kamailio-utils-modules \
kamailio-websocket-modules \
kamailio-xml-modules \
kamailio-xmpp-modules \
kamcli \
sqlite3 \
gnutls-bin \
git \
build-essential \
sudo \
rtpproxy \
libsctp1 \
&& apt clean
#RUN git clone -b master https://github.com/sippy/rtpproxy /rtpproxy
#RUN git -C rtpproxy submodule update --init --recursive
#WORKDIR /rtpproxy
#RUN ./configure && make && make install
